## vdr-plugin-markad 3.4.5

=== Makefile ===
#
# Makefile for a Video Disk Recorder plugin + program
#
# dont remove the next line, its needed for the VDR Makefile
# $(LIBDIR)/$@.$(APIVERSION)

### The version number of this plugin (taken from the main source file):

VERSION = $(shell grep 'static const char \*VERSION *=' version.h | awk '{ print $$6 }' | sed -e 's/[";]//g')
GITTAG  = $(shell git describe --always 2>/dev/null)
$(shell GITVERSION=`git rev-parse --short HEAD 2> /dev/null`; if [ "$$GITVERSION" ]; then sed "s/\";/ ($$GITVERSION)\";/" version.dist > version.h; else cp version.dist version.h; fi)

### The directory environment:

# Use package data if installed...otherwise assume we're under the VDR source directory:
PKGCFG = $(if $(VDRDIR),$(shell pkg-config --variable=$(1) $(VDRDIR)/vdr.pc),$(shell PKG_CONFIG_PATH="$$PKG_CONFIG_PATH:../../.." pkg-config --variable=$(1) vdr))
LIBDIR = $(call PKGCFG,libdir)
LOCDIR = $(call PKGCFG,locdir)
PLGCFG = $(call PKGCFG,plgcfg)
CFGDIR = $(call PKGCFG,configdir)
#
TMPDIR ?= /tmp
DIRS = command plugin

### The compiler options:
export CFLAGS   = $(call PKGCFG,cflags)
export CXXFLAGS = $(call PKGCFG,cxxflags)

ARCHIVE = markad-$(VERSION)
PACKAGE = vdr-$(ARCHIVE)

### The version number of VDR's plugin API:
APIVERSION = $(call PKGCFG,apiversion)

### Allow user defined options to overwrite defaults:
-include $(PLGCFG)


all:
	@for i in $(DIRS); do \
		$(MAKE) -C $$i; \
		if [ $$? -ne 0 ]; then \
		        echo "make failed on directory $$i"; \
			exit 1; \
		fi; \
	done

install:
	for i in $(DIRS); do $(MAKE) -C $$i install; done

dist:
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@mkdir $(TMPDIR)/$(ARCHIVE)
	@mkdir $(TMPDIR)/$(ARCHIVE)/plugin
	@mkdir $(TMPDIR)/$(ARCHIVE)/plugin/po
	@mkdir $(TMPDIR)/$(ARCHIVE)/plugin/dist
	@mkdir $(TMPDIR)/$(ARCHIVE)/command
	@mkdir $(TMPDIR)/$(ARCHIVE)/command/po
	@mkdir $(TMPDIR)/$(ARCHIVE)/command/logos
	@cp -a plugin/*.cpp plugin/*.h plugin/Makefile $(TMPDIR)/$(ARCHIVE)/plugin
	@cp -a plugin/dist/* $(TMPDIR)/$(ARCHIVE)/plugin/dist
	@cp -a plugin/po/*.po $(TMPDIR)/$(ARCHIVE)/plugin/po
	@cp -a command/*.cpp command/*.h command/*.1 command/Makefile $(TMPDIR)/$(ARCHIVE)/command
	@cp -u command/logos/*.pgm $(TMPDIR)/$(ARCHIVE)/command/logos
	@cp -a command/po/*.po $(TMPDIR)/$(ARCHIVE)/command/po
	@cp -a *.dist *.h COPYING HISTORY README INSTALL Makefile $(TMPDIR)/$(ARCHIVE)
	@tar czf $(PACKAGE).tgz -C $(TMPDIR) $(ARCHIVE)
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@echo Distribution package created as $(PACKAGE).tgz

clean:
	for i in $(DIRS); do make -C $$i clean; done
	@-rm -f version.h $(PACKAGE).tgz

cppcheck: 
	cppcheck --enable=all --inline-suppr --suppress=missingIncludeSystem --suppress=unusedFunction:plugin/markad.cpp --suppress=unusedFunction:plugin/status.cpp -DLIBAVCODEC_VERSION_INT=3763044 -DDEBUGMEM=1 --error-exitcode=1 . > /dev/null

=== command/Makefile ===
#
# Makefile for a Video Disk Recorder addon
#

# use this, if you want to debug heap memory consumption
# DEBUG_MEM_MARKAD=1


### The version number of this plugin (taken from the main source file):

$(shell GITVERSION=`git rev-parse --short HEAD 2> /dev/null`; if [ "$$GITVERSION" ]; then sed "s/\";/ ($$GITVERSION)\";/" ../version.dist > ../version.h; else cp ../version.dist ../version.h; fi)
VERSION = $(shell grep 'static const char \*VERSION *=' ../version.h | awk '{ print $$6 }' | sed -e 's/[";]//g')

# check if we want to build without vdr
ifndef NO_VDR
# Use package data if installed...otherwise assume we're under the VDR source directory:
PKGCFG = $(if $(VDRDIR),$(shell pkg-config --variable=$(1) $(VDRDIR)/vdr.pc),$(shell PKG_CONFIG_PATH="$$PKG_CONFIG_PATH:../../../.." pkg-config --variable=$(1) vdr))
BINDIR = $(call PKGCFG,bindir)
MANDIR = $(call PKGCFG,mandir)
LIBDIR = $(call PKGCFG,libdir)
LOCDIR = $(call PKGCFG,locdir)
PLGCFG = $(call PKGCFG,plgcfg)
CFGDIR = $(call PKGCFG,configdir)
endif

### set defaults
BINDIR ?= /usr/bin
LOCDIR ?= /usr/share/locale
MANDIR ?= /usr/share/man


### The C++ compiler and options:
CXX      ?= g++
export CXXFLAGS ?= $(call PKGCFG,cxxflags)
export CXXFLAGS ?= -g -rdynamic -O3 -funroll-loops -Wall -Woverloaded-virtual -Wno-parentheses

DEBUG = $(filter -g ,$(CXXFLAGS))   # add -rdynamic if debug -g is set
ifneq ($(DEBUG),)
        export CXXFLAGS += -rdynamic -Wextra
endif

### compiler version dependent options
CXXVERSION=$(shell $(CXX) -dumpversion | cut -d"." -f1)
$(info compiler: ${CXX})
$(info version:  ${CXXVERSION})
DEFINES += -DCXXVERSION=${CXXVERSION}
ifeq ($(CXXVERSION),4)
	export CXXFLAGS += -std=c++11 -Wno-missing-field-initializers # to prevent a lot of compiler warnings with g++ V4
        $(warning your compiler is deprecated, please update)
endif
ifeq ($(CXXVERSION),5)
	export CXXFLAGS += -std=c++11   # to prevent compiler errors with g++ V5
endif
ifeq ($(CXXVERSION),13)                 # prevent "warning: "_FORTIFY_SOURCE" redefined"
	ifneq (,$(findstring D_FORTIFY_SOURCE,$(CXXFLAGS)))
		export CXXFLAGS := -U_FORTIFY_SOURCE $(CXXFLAGS)   # append before options from vdr.pc
	endif
endif


PKG-CONFIG ?= pkg-config
STRIP ?= strip

### Includes and Defines (add further entries here):
PKG-LIBS += libavcodec libavutil libavformat libavfilter libswresample
PKG-INCLUDES += libavcodec libavutil libavformat libavfilter libswresample

DEFINES += -D_GNU_SOURCE
DEFINES += -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE
DEFINES += -D__STDC_CONSTANT_MACROS -D__USE_XOPEN_EXTENDED


# more debug compiler options
ifdef DEBUG_MEM_MARKAD
DEFINES += -DDEBUG_MEM
$(info option DEBUG_MEM_MARKAD is set)
endif

ifdef DEBUG_MARK_FRAMES
DEFINES += -DDEBUG_MARK_FRAMES=$(DEBUG_MARK_FRAMES)
$(info option DEBUG_MARK_FRAMES is set)
endif

ifdef DEBUG_SANITIZER
export CXXFLAGS += -fsanitize=address -fsanitize=leak -fsanitize=undefined
$(info sanitize option is set)
endif


INCLUDES += $(shell $(PKG-CONFIG) --cflags $(PKG-INCLUDES))
LIBS     += $(shell $(PKG-CONFIG) --libs $(PKG-LIBS)) -pthread


### The object files (add further files here):
OBJS = markad-standalone.o marks.o video.o audio.o decoder.o encoder.o logo.o debug.o index.o evaluate.o osd.o criteria.o vps.o tools.o

### The main target:
all: markad i18n

### Implicit rules:
%.o: %.cpp
	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) $<

### Dependencies:
PKG-CONFIG ?= pkg-config
STRIP ?= strip


ifdef DEBUG_MEM_MARKAD
DEFINES += -DDEBUG_MEM
$(info option DEBUG_MEM_MARKAD is set)
endif

INCLUDES += $(shell $(PKG-CONFIG) --cflags $(PKG-INCLUDES))
LIBS     += $(shell $(PKG-CONFIG) --libs $(PKG-LIBS)) -pthread


### The main target:
all: markad i18n

### Implicit rules:
%.o: %.cpp
	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) $<

### Dependencies:
MAKEDEP = $(CXX) -MM -MG
DEPFILE = .dependencies
$(DEPFILE): Makefile
	@$(MAKEDEP) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.cpp) > $@

-include $(DEPFILE)

### Internationalization (I18N):
PODIR     = po
I18Npo    = $(wildcard $(PODIR)/*.po)
I18Nmsgs  = $(addprefix  $(DESTDIR)$(LOCDIR)/, $(addsuffix /LC_MESSAGES/markad.mo, $(notdir $(foreach file, $(I18Npo), $(basename $(file))))))
I18Npot   = $(PODIR)/markad.pot

%.mo: %.po
	msgfmt -c -o $@ $<

$(I18Npot): $(wildcard *.cpp *.h)
	xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --msgid-bugs-address='<see README>' -o $@ $^

%.po: $(I18Npot)
	msgmerge -U --no-wrap --no-location --backup=none -q $@ $<
	@touch $@

$(I18Nmsgs): $(DESTDIR)$(LOCDIR)/%/LC_MESSAGES/markad.mo: $(PODIR)/%.mo
	install -D -m644 $< $@

.PHONY: i18n
i18n: $(I18Npot)

### Targets:
markad: $(OBJS)
	$(CXX) $(CXXFLAGS) $(LDFLAGS) $(OBJS) $(LIBS) -o $@


install-doc:
	@mkdir -p $(DESTDIR)$(MANDIR)/man1
	@gzip -c markad.1 > $(DESTDIR)$(MANDIR)/man1/markad.1.gz

install: install-doc markad $(I18Nmsgs)
	@mkdir -p $(DESTDIR)$(BINDIR)
	install -D markad $(DESTDIR)$(BINDIR)/markad
	@mkdir -p $(DESTDIR)/var/lib/markad
	install -D logos/* $(DESTDIR)/var/lib/markad
	@echo markad installed

clean:
	@-rm -f $(OBJS) $(DEPFILE) markad *.so *.so.* *.tgz core* *~ $(PODIR)/*.mo $(PODIR)/*.pot

doxygen:
	doxygen doxygen.conf

=== plugin/Makefile ===
#
# Makefile for a Video Disk Recorder plugin
# Adapted to the new VDR makefile environment by Stefan Hofmann
#
# $Id: $

# The official name of this plugin.
# This name will be used in the '-P...' option of VDR to load the plugin.
# By default the main source file also carries this name.

PLUGIN = markad


# use this, if you want to debug heap memory consumption
# DEBUG_MEM_PLUGIN=1


### The version number of this plugin (taken from the version header file):
VERSION = $(shell grep 'static const char \*VERSION *=' version.h | awk '{ print $$6 }' | sed -e 's/[";]//g')

### The directory environment:
# Use package data if installed...otherwise assume we're under the VDR source directory:
PKGCFG = $(if $(VDRDIR),$(shell pkg-config --variable=$(1) $(VDRDIR)/vdr.pc),$(shell PKG_CONFIG_PATH="$$PKG_CONFIG_PATH:../../../.." pkg-config --variable=$(1) vdr))
LIBDIR = $(call PKGCFG,libdir)
LOCDIR = $(call PKGCFG,locdir)
#
TMPDIR ?= /tmp

### The compiler options:
export CFLAGS   = $(call PKGCFG,cflags)
export CXXFLAGS = $(call PKGCFG,cxxflags)

### compiler version dependent options
CXXVERSION=$(shell $(CXX) -dumpversion | cut -d"." -f1)
$(info version:  ${CXXVERSION})
ifeq ($(CXXVERSION),4)
	export CXXFLAGS += -std=c++11   # to prevent a lot of compiler warnings with g++ V4
endif
ifeq ($(CXXVERSION),5)
        export CXXFLAGS += -std=c++11   # to prevent compiler errors with g++ V5
endif
ifeq ($(CXXVERSION),13)                 # prevent "warning: "_FORTIFY_SOURCE" redefined"
        ifneq (,$(findstring D_FORTIFY_SOURCE,$(CXXFLAGS)))
                export CXXFLAGS := -U_FORTIFY_SOURCE $(CXXFLAGS)   # append before options from vdr.pc
        endif
endif


### The version number of VDR's plugin API:
APIVERSION = $(call PKGCFG,apiversion)
$(info VDR plugin API version is ${APIVERSION})
APINUM = $(shell echo $(APIVERSION) | awk -F . '{print $$1 * 1000 + $$2 * 10 $$3}')

# current minimum VDR API version 2.2.0
ifeq ($(shell expr ${APINUM} \< 20200), 1)
        $(error VDR plugin API version not supported, please update VDR)
        exit
endif
ifeq ($(shell expr ${APINUM} \< 20301), 1)
        $(warning VDR plugin API version is deprecated, please update VDR)
endif


### The name of the distribution archive:
ARCHIVE = $(PLUGIN)-$(VERSION)
PACKAGE = vdr-$(ARCHIVE)

### The name of the shared object file:
SOFILE = libvdr-$(PLUGIN).so

### Includes and Defines (add further entries here):
INCLUDES +=

DEFINES += -DPLUGIN_NAME_I18N='"$(PLUGIN)"'
ifdef DEBUG_MEM_PLUGIN
DEFINES += -DDEBUG_MEM
$(info option DEBUG_MEM_PLUGIN is set)
endif

### The object files (add further files here):
OBJS = $(PLUGIN).o status.o menu.o setup.o debug.o

### The main target:
all: $(SOFILE) i18n

### Implicit rules:
%.o: %.cpp
	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) -o $@ $<

### Dependencies:
MAKEDEP = $(CXX) -MM -MG
DEPFILE = .dependencies
$(DEPFILE): Makefile
	@$(MAKEDEP) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.cpp) > $@

-include $(DEPFILE)

### Internationalization (I18N):
PODIR     = po
I18Npo    = $(wildcard $(PODIR)/*.po)
I18Nmo    = $(addsuffix .mo, $(foreach file, $(I18Npo), $(basename $(file))))
I18Nmsgs  = $(addprefix $(DESTDIR)$(LOCDIR)/, $(addsuffix /LC_MESSAGES/vdr-$(PLUGIN).mo, $(notdir $(foreach file, $(I18Npo), $(basename $(file))))))
I18Npot   = $(PODIR)/$(PLUGIN).pot

%.mo: %.po
	msgfmt -c -o $@ $<

$(I18Npot): $(wildcard *.cpp *.h)
	xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --package-name=vdr-$(PLUGIN) --package-version=$(VERSION) --msgid-bugs-address='<vdr@dolze.de>' -o $@ `ls $^`

%.po: $(I18Npot)
	msgmerge -U --no-wrap --no-location --backup=none -q -N $@ $<
	@touch $@

$(I18Nmsgs): $(DESTDIR)$(LOCDIR)/%/LC_MESSAGES/vdr-$(PLUGIN).mo: $(PODIR)/%.mo
	install -D -m644 $< $@

.PHONY: i18n
i18n: $(I18Nmo) $(I18Npot)

install-i18n: $(I18Nmsgs)

### Targets:
$(SOFILE): $(OBJS)
	$(CXX) $(CXXFLAGS) $(LDFLAGS) -shared $(OBJS) $(LIBS) -o $@

install-lib: $(SOFILE)
	install -D $^ $(DESTDIR)$(LIBDIR)/$^.$(APIVERSION)

install: install-lib install-i18n

clean:
	@-rm -f $(PODIR)/*.mo $(PODIR)/*.pot
	@-rm -f $(OBJS) $(DEPFILE) *.so *.tgz core* *~

=== debian/changelog ===
vdr-plugin-markad (3.4.5-3~bpo12+1) bookworm-backports; urgency=medium

  * Bullseye backport

 -- Christoph Martin <martin@uni-mainz.de>  Thu, 25 Jan 2024 12:29:27 +0100

vdr-plugin-markad (3.4.5-3) unstable; urgency=medium

  * chown vdr /var/lib/markad in plugin package (closes: #983619)

 -- Christoph Martin <martin@uni-mainz.de>  Fri, 19 Jan 2024 13:53:46 +0100

vdr-plugin-markad (3.4.5-2) unstable; urgency=medium

  * add abi version to libvdr-markad.so name

 -- Christoph Martin <martin@uni-mainz.de>  Mon, 15 Jan 2024 22:48:55 +0100

vdr-plugin-markad (3.4.5-1) experimental; urgency=medium

  * update watch file to new upstream
  * New upstream version 3.4.5
  * update to vdr 2.6
  * update to dephelper 10
  * add libavfilter-dev to build-depends
  * don't use chown -R on /var/lib/markad

 -- Christoph Martin <martin@uni-mainz.de>  Mon, 15 Jan 2024 11:29:38 +0100

vdr-plugin-markad (0.1.4+git20180120-3) experimental; urgency=medium

  * fix av_codec build problems

 -- Christoph Martin <martin@uni-mainz.de>  Tue, 25 Feb 2020 22:38:19 +0100

vdr-plugin-markad (0.1.4+git20180120-2) experimental; urgency=medium

  * VCS moved to salsa.debian.org
  * Build-depend on vdr-dev (>= 2.4.0)

 -- Tobias Grimm <etobi@debian.org>  Mon, 16 Apr 2018 19:35:26 +0200

vdr-plugin-markad (0.1.4+git20180120-1) experimental; urgency=medium

  * New Upstream Snapshot (commit ea2e182)
  * Standards-Version: 4.1.2
  * Changed Priority from extra to optional

 -- Tobias Grimm <etobi@debian.org>  Sat, 20 Jan 2018 23:02:11 +0100

vdr-plugin-markad (0.1.4+git20160709-1) experimental; urgency=medium

  * New Upstream Snapshot (commit 74e2a8c)
  * Dropped avcodec patch - fixed upstream
  * Fixed compilation with ffmpeg3
  * Standards-Version 3.9.8

 -- Tobias Grimm <etobi@debian.org>  Sat, 09 Jul 2016 20:41:37 +0200

vdr-plugin-markad (0.1.4+git20150212-3) experimental; urgency=medium

  * Now supporting the /etc/vdr/conf.d mechanism

 -- Tobias Grimm <etobi@debian.org>  Mon, 23 Mar 2015 22:58:12 +0100

vdr-plugin-markad (0.1.4+git20150212-2) experimental; urgency=medium

  * Build-depend on vdr-dev (>= 2.2.0)

 -- Tobias Grimm <etobi@debian.org>  Thu, 19 Feb 2015 12:39:48 +0100

vdr-plugin-markad (0.1.4+git20150212-1) experimental; urgency=medium

  * New Upstream Snapshot (commit c55f43f)
  * Standards-Version: 3.9.6
  * Build-depend on vdr-dev (>= 2.1.10)
  * Install markad manpage

 -- Tobias Grimm <etobi@debian.org>  Thu, 12 Feb 2015 22:34:37 +0100

vdr-plugin-markad (0.1.4-7) experimental; urgency=medium

  * Build-depend on vdr-dev (>= 2.1.9)

 -- Tobias Grimm <etobi@debian.org>  Tue, 10 Feb 2015 19:14:58 +0100

vdr-plugin-markad (0.1.4-6) experimental; urgency=low

  * Fixed debian/control

 -- Tobias Grimm <etobi@debian.org>  Wed, 17 Apr 2013 21:19:32 +0200

vdr-plugin-markad (0.1.4-5) experimental; urgency=low

  * Build-depend on vdr-dev (>= 2.0.0)

 -- Tobias Grimm <etobi@debian.org>  Sun, 31 Mar 2013 13:59:00 +0200

vdr-plugin-markad (0.1.4-4) experimental; urgency=low

  * Build-depend on vdr-dev (>= 1.7.42)

 -- Tobias Grimm <etobi@debian.org>  Sat, 23 Mar 2013 20:52:07 +0100

vdr-plugin-markad (0.1.4-3) experimental; urgency=low

  * Build-depend on vdr-dev (>= 1.7.41)

 -- Tobias Grimm <etobi@debian.org>  Sun, 17 Mar 2013 20:20:17 +0100

vdr-plugin-markad (0.1.4-2) experimental; urgency=low

  * Build-depend on vdr-dev (>= 1.7.40)

 -- Tobias Grimm <etobi@debian.org>  Sun, 10 Mar 2013 19:48:06 +0100

vdr-plugin-markad (0.1.4-1) experimental; urgency=low

  * New upstream release
  * Use debhelper 9
  * Build-depend on vdr-dev (>= 1.7.39)

 -- Tobias Grimm <etobi@debian.org>  Wed, 06 Mar 2013 21:43:50 +0100

vdr-plugin-markad (0.1.3-1) experimental; urgency=low

  * New upstream release
  * Standards-Version: 3.9.3

 -- Tobias Grimm <etobi@debian.org>  Sun, 06 May 2012 10:42:15 +0200

vdr-plugin-markad (0.1.2+git20120131-1) experimental; urgency=low

  * New Upstream Snapshot
  * Fixed an upstream (http://projects.vdr-developer.org/issues/872)

 -- Tobias Grimm <etobi@debian.org>  Tue, 31 Jan 2012 12:26:46 +0100

vdr-plugin-markad (0.1.2-2) experimental; urgency=low

  * Switched to GIT using pristine tar

 -- Tobias Grimm <etobi@debian.org>  Sat, 29 Oct 2011 19:51:08 +0200

vdr-plugin-markad (0.1.2-1) experimental; urgency=low

  * New upstream release
  * Renamed get-orig-source targe to get-vcs-snapshot
  * Updated debian/copyright
  * Standards-Version: 3.9.2

 -- Tobias Grimm <etobi@debian.org>  Fri, 13 May 2011 05:52:09 +0200

vdr-plugin-markad (0.1.0-1) experimental; urgency=low

  * New upstream release
  * Updated debian/watch

 -- Tobias Grimm <etobi@debian.org>  Sun, 20 Mar 2011 02:47:36 +0100

vdr-plugin-markad (0.0.7-2) experimental; urgency=low

  * Added 0003-ffmpeg-20100426.patch

 -- Thomas Günther <tom@toms-cafe.de>  Wed, 09 Jun 2010 02:41:30 +0200

vdr-plugin-markad (0.0.7-1) experimental; urgency=low

  * New upstream release
  * Added dependency to vdr-markad for vdr-plugin-markad (the plugin uses the
    command line program now to mark advertisements)
  * Added installation of logos
  * Build-depend on vdr-dev >= 1.6.0-16
  * Standards-Version: 3.8.4
  * source/format 3.0
  * Updated debian/copyright
  * Added 0001-Fixed-errno-undeclared.patch
  * Added 0002-Fixed-some-compiler-warnings.patch

 -- Thomas Günther <tom@toms-cafe.de>  Tue, 25 May 2010 21:49:57 +0200

vdr-plugin-markad (0.0.4.git20100303-1) experimental; urgency=low

  * New Upstream Snapshot (commit 0b56be8)
  * Added pkg-config, libavcodec-dev and libavformat-dev to Build-Depends
  * Removed vdr dependency from package vdr-markad
  * Removed DVBDIR from debian/rules
  * Added myself to Uploaders
  * Updated debian/copyright

 -- Thomas Günther <tom@toms-cafe.de>  Thu, 04 Mar 2010 18:23:06 +0100

vdr-plugin-markad (0.0.4.git20091003-2) experimental; urgency=low

  * Removed non-standard shebang line from debian/rules

 -- Tobias Grimm <etobi@debian.org>  Mon, 09 Nov 2009 19:36:22 +0100



=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

MAKE_OPTIONS = LIBDIR=. SOFILE=libvdr-markad.so.2.6.0
CXXFLAGS += $(shell pkg-config vdr --variable=cxxflags) $(LDFLAGS)

%:
	dh $@ --with vdrplugin

override_dh_auto_build:
	dh_auto_build -- all $(MAKE_OPTIONS)

override_dh_auto_install:
	# Do nothing

override_dh_auto_clean:
	dh_auto_clean -- $(MAKE_OPTIONS)
	rm -f plugin/libvdr-*.so.*

get-vcs-snapshot:
	sh debian/get-vcs-snapshot.sh

## vdr-plugin-markad 3.4.12

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
 # Makefile for a Video Disk Recorder plugin + program
 #
-# dont remove the next line, its needed for the VDR Makefile
+# don't remove the next line, its needed for the VDR Makefile
 # $(LIBDIR)/$@.$(APIVERSION)
 
 ### The version number of this plugin (taken from the main source file):

=== debian/changelog ===
vdr-plugin-markad (3.4.12-1build1) oracular; urgency=medium

  * Rebuild against new libavcodec61.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 31 Jul 2024 17:29:20 +0200

vdr-plugin-markad (3.4.12-1) unstable; urgency=medium

  * add salca-ci.yml
  * New upstream version 3.4.12
  * fix copyright format

 -- Christoph Martin <martin@uni-mainz.de>  Wed, 13 Mar 2024 14:15:12 +0100

## vdr-plugin-markad 4.1.7

=== Makefile ===
--- 
+++ 
@@ -6,6 +6,8 @@
 
 ### The version number of this plugin (taken from the main source file):
 
+PKG_CONFIG ?= pkg-config
+
 VERSION = $(shell grep 'static const char \*VERSION *=' version.h | awk '{ print $$6 }' | sed -e 's/[";]//g')
 GITTAG  = $(shell git describe --always 2>/dev/null)
 $(shell GITVERSION=`git rev-parse --short HEAD 2> /dev/null`; if [ "$$GITVERSION" ]; then sed "s/\";/ ($$GITVERSION)\";/" version.dist > version.h; else cp version.dist version.h; fi)
@@ -13,7 +15,7 @@
 ### The directory environment:
 
 # Use package data if installed...otherwise assume we're under the VDR source directory:
-PKGCFG = $(if $(VDRDIR),$(shell pkg-config --variable=$(1) $(VDRDIR)/vdr.pc),$(shell PKG_CONFIG_PATH="$$PKG_CONFIG_PATH:../../.." pkg-config --variable=$(1) vdr))
+PKGCFG = $(if $(VDRDIR),$(shell $(PKG_CONFIG) --variable=$(1) $(VDRDIR)/vdr.pc),$(shell PKG_CONFIG_PATH="$$PKG_CONFIG_PATH:../../.." $(PKG_CONFIG) --variable=$(1) vdr))
 LIBDIR = $(call PKGCFG,libdir)
 LOCDIR = $(call PKGCFG,locdir)
 PLGCFG = $(call PKGCFG,plgcfg)
@@ -73,4 +75,4 @@
 	@-rm -f version.h $(PACKAGE).tgz
 
 cppcheck: 
-	cppcheck --enable=all --inline-suppr --suppress=missingIncludeSystem --suppress=unusedFunction:plugin/markad.cpp --suppress=unusedFunction:plugin/status.cpp -DLIBAVCODEC_VERSION_INT=3763044 -DDEBUGMEM=1 --error-exitcode=1 . > /dev/null
+	cppcheck --enable=all --inline-suppr --suppress=missingIncludeSystem --suppress=unusedFunction:plugin/markad.cpp --suppress=unusedFunction:plugin/markad.h --suppress=unusedFunction:plugin/status.cpp -DLIBAVCODEC_VERSION_INT=3940198 -DDEBUGMEM=1 --error-exitcode=1 . > /dev/null

=== plugin/Makefile ===
--- 
+++ 
@@ -10,6 +10,17 @@
 
 PLUGIN = markad
 
+### Dependencies:
+PKG_CONFIG ?= pkg-config
+
+STRIP ?= strip
+
+ifdef VERBOSE
+Q =
+else
+Q = @
+endif
+export Q
 
 # use this, if you want to debug heap memory consumption
 # DEBUG_MEM_PLUGIN=1
@@ -20,7 +31,7 @@
 
 ### The directory environment:
 # Use package data if installed...otherwise assume we're under the VDR source directory:
-PKGCFG = $(if $(VDRDIR),$(shell pkg-config --variable=$(1) $(VDRDIR)/vdr.pc),$(shell PKG_CONFIG_PATH="$$PKG_CONFIG_PATH:../../../.." pkg-config --variable=$(1) vdr))
+PKGCFG = $(if $(VDRDIR),$(shell $(PKG_CONFIG) --variable=$(1) $(VDRDIR)/vdr.pc),$(shell PKG_CONFIG_PATH="$$PKG_CONFIG_PATH:../../../.." $(PKG_CONFIG) --variable=$(1) vdr))
 LIBDIR = $(call PKGCFG,libdir)
 LOCDIR = $(call PKGCFG,locdir)
 #
@@ -49,7 +60,7 @@
 ### The version number of VDR's plugin API:
 APIVERSION = $(call PKGCFG,apiversion)
 $(info VDR plugin API version is ${APIVERSION})
-APINUM = $(shell echo $(APIVERSION) | awk -F . '{print $$1 * 1000 + $$2 * 10 $$3}')
+APINUM = $(shell echo $(APIVERSION) | awk -F . '{printf "%d%02d%02d", $$1, $$2, $$3}')
 
 # current minimum VDR API version 2.2.0
 ifeq ($(shell expr ${APINUM} \< 20200), 1)
@@ -85,7 +96,8 @@
 
 ### Implicit rules:
 %.o: %.cpp
-	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) -o $@ $<
+	@echo CC $@
+	$(Q)$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) -o $@ $<
 
 ### Dependencies:
 MAKEDEP = $(CXX) -MM -MG
@@ -103,17 +115,21 @@
 I18Npot   = $(PODIR)/$(PLUGIN).pot
 
 %.mo: %.po
-	msgfmt -c -o $@ $<
+	@echo MO $@
+	$(Q)msgfmt -c -o $@ $<
 
 $(I18Npot): $(wildcard *.cpp *.h)
-	xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --package-name=vdr-$(PLUGIN) --package-version=$(VERSION) --msgid-bugs-address='<vdr@dolze.de>' -o $@ `ls $^`
+	@echo GT $@
+	$(Q)xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --package-name=vdr-$(PLUGIN) --package-version=$(VERSION) --msgid-bugs-address='<vdr@dolze.de>' -o $@ `ls $^`
 
 %.po: $(I18Npot)
-	msgmerge -U --no-wrap --no-location --backup=none -q -N $@ $<
+	@echo PO $@
+	$(Q)msgmerge -U --no-wrap --no-location --backup=none -q -N $@ $<
 	@touch $@
 
 $(I18Nmsgs): $(DESTDIR)$(LOCDIR)/%/LC_MESSAGES/vdr-$(PLUGIN).mo: $(PODIR)/%.mo
-	install -D -m644 $< $@
+	@echo IN $@
+	$(Q)install -D -m644 $< $@
 
 .PHONY: i18n
 i18n: $(I18Nmo) $(I18Npot)
@@ -122,10 +138,12 @@
 
 ### Targets:
 $(SOFILE): $(OBJS)
-	$(CXX) $(CXXFLAGS) $(LDFLAGS) -shared $(OBJS) $(LIBS) -o $@
+	@echo LD $@
+	$(Q)$(CXX) $(CXXFLAGS) $(LDFLAGS) -shared $(OBJS) $(LIBS) -o $@
 
 install-lib: $(SOFILE)
-	install -D $^ $(DESTDIR)$(LIBDIR)/$^.$(APIVERSION)
+	@echo IN $@
+	$(Q)install -D $^ $(DESTDIR)$(LIBDIR)/$^.$(APIVERSION)
 
 install: install-lib install-i18n

=== debian/changelog ===
vdr-plugin-markad (4.1.7-1) unstable; urgency=medium

  * New upstream version 4.1.7
  * bump standards version to 4.7.0 (no changes)
  * replace obsolete build-depends pkg-config with pkgconf
  * build with hardening flags

 -- Christoph Martin <martin@uni-mainz.de>  Mon, 09 Sep 2024 11:40:13 +0200

=== debian/control ===
Source: vdr-plugin-markad
Section: video
Priority: optional
Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
Uploaders:
 Tobias Grimm <etobi@debian.org>,
 Thomas Günther <tom@toms-cafe.de>,
 Christoph Martin <martin@uni-mainz.de>,
Build-Depends:
 debhelper (>= 10),
 gettext,
 libavcodec-dev,
 libavfilter-dev,
 libavformat-dev,
 pkgconf,
 vdr-dev (>= 2.6.0),
Standards-Version: 4.7.0
Homepage: http://projects.vdr-developer.org/projects/list_files/plg-markad
Vcs-Git: https://salsa.debian.org/vdr-team/vdr-plugin-markad.git
Vcs-Browser: https://salsa.debian.org/vdr-team/vdr-plugin-markad

Package: vdr-markad
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Tool to mark advertisements in VDR recordings
 This standalone tool provides the same functionality as
 the Markad plugin for the Linux Video Disc Recorder VDR.
 It will search for and mark advertisements in VDR recordings.

Package: vdr-plugin-markad
Architecture: any
Depends:
 vdr-markad,
 ${misc:Depends},
 ${shlibs:Depends},
 ${vdr:Depends},
Description: Plugin for VDR to mark advertisements in recordings
 This plugin for the Linux Video Disc Recorder VDR will search for
 and mark advertisements in VDR recordings.

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 MAKE_OPTIONS = LIBDIR=. SOFILE=libvdr-markad.so.2.6.0
 CXXFLAGS += $(shell pkg-config vdr --variable=cxxflags) $(LDFLAGS)

## vdr-plugin-markad 4.2.9

=== debian/changelog ===
vdr-plugin-markad (4.2.9-2) unstable; urgency=medium

  * rebuild against vdr 2.6.9

 -- Christoph Martin <chrism@debian.org>  Thu, 20 Feb 2025 10:36:14 +0100

vdr-plugin-markad (4.2.9-1) unstable; urgency=medium

  * New upstream version 4.2.9

 -- Christoph Martin <martin@uni-mainz.de>  Thu, 06 Feb 2025 22:31:12 +0100

vdr-plugin-markad (4.2.8-1) unstable; urgency=medium

  * New upstream version 4.2.8

 -- Christoph Martin <martin@uni-mainz.de>  Tue, 28 Jan 2025 15:44:18 +0100

## vdr-plugin-markad 4.2.10

=== debian/changelog ===
vdr-plugin-markad (4.2.10-1) unstable; urgency=medium

  * New upstream version 4.2.10

 -- Christoph Martin <chrism@debian.org>  Fri, 07 Mar 2025 10:00:59 +0100

## vdr-plugin-markad 4.2.12

=== debian/changelog ===
vdr-plugin-markad (4.2.12-1) unstable; urgency=medium

  * New upstream version 4.2.12

 -- Christoph Martin <chrism@debian.org>  Sun, 13 Apr 2025 18:06:00 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Tobias Grimm <etobi@debian.org>,
  Thomas Günther <tom@toms-cafe.de>,
- Christoph Martin <martin@uni-mainz.de>,
+ Christoph Martin <chrism@debian.org>,
 Build-Depends:
  debhelper (>= 10),
  gettext,

## vdr-plugin-markad 4.2.13

=== plugin/Makefile ===
--- 
+++ 
@@ -56,21 +56,9 @@
         endif
 endif
 
-
 ### The version number of VDR's plugin API:
 APIVERSION = $(call PKGCFG,apiversion)
 $(info VDR plugin API version is ${APIVERSION})
-APINUM = $(shell echo $(APIVERSION) | awk -F . '{printf "%d%02d%02d", $$1, $$2, $$3}')
-
-# current minimum VDR API version 2.2.0
-ifeq ($(shell expr ${APINUM} \< 20200), 1)
-        $(error VDR plugin API version not supported, please update VDR)
-        exit
-endif
-ifeq ($(shell expr ${APINUM} \< 20301), 1)
-        $(warning VDR plugin API version is deprecated, please update VDR)
-endif
-
 
 ### The name of the distribution archive:
 ARCHIVE = $(PLUGIN)-$(VERSION)

=== debian/changelog ===
vdr-plugin-markad (4.2.13-1) unstable; urgency=medium

  * New upstream version 4.2.13

 -- Christoph Martin <chrism@debian.org>  Sat, 17 May 2025 13:07:34 +0200

=== debian/watch ===
version=4
opts="mode=git, compression=gzip" \
 https://github.com/kfb77/vdr-plugin-markad.git \
 refs/tags/[Vv]?(\d[\d\.]+) debian uupdate

## vdr-plugin-markad 4.2.15

=== Makefile ===
--- 
+++ 
@@ -75,4 +75,4 @@
 	@-rm -f version.h $(PACKAGE).tgz
 
 cppcheck: 
-	cppcheck --enable=all --inline-suppr --suppress=missingIncludeSystem --suppress=unusedFunction:plugin/markad.cpp --suppress=unusedFunction:plugin/markad.h --suppress=unusedFunction:plugin/status.cpp -DLIBAVCODEC_VERSION_INT=3940198 -DDEBUGMEM=1 --error-exitcode=1 . > /dev/null
+	cppcheck --enable=all --check-level=exhaustive --inline-suppr --suppress=missingIncludeSystem --suppress=unusedFunction:plugin/markad.cpp --suppress=unusedFunction:plugin/markad.h --suppress=unusedFunction:plugin/status.cpp -DLIBAVCODEC_VERSION_INT=3940198 -DDEBUGMEM=1 --error-exitcode=1 . > /dev/null

=== command/Makefile ===
#
# Makefile for a Video Disk Recorder addon
#

ifdef VERBOSE
Q =
else
Q = @
endif
export Q

# use this, if you want to debug heap memory consumption
# DEBUG_MEM_MARKAD=1

### Dependencies:
PKG_CONFIG ?= pkg-config

STRIP ?= strip

### The version number of this plugin (taken from the main source file):
$(shell GITVERSION=`git rev-parse --short HEAD 2> /dev/null`; if [ "$$GITVERSION" ]; then sed "s/\";/ ($$GITVERSION)\";/" ../version.dist > ../version.h; else cp ../version.dist ../version.h; fi)
VERSION = $(shell grep 'static const char \*VERSION *=' ../version.h | awk '{ print $$6 }' | sed -e 's/[";]//g')

# check if we want to build without vdr
ifndef NO_VDR
# Use package data if installed...otherwise assume we're under the VDR source directory:
PKGCFG   = $(if $(VDRDIR),$(shell $(PKG_CONFIG) --variable=$(1) $(VDRDIR)/vdr.pc),$(shell PKG_CONFIG_PATH="$$PKG_CONFIG_PATH:../../../.." $(PKG_CONFIG) --variable=$(1) vdr))
BINDIR   = $(call PKGCFG,bindir)
MANDIR   = $(call PKGCFG,mandir)
LIBDIR   = $(call PKGCFG,libdir)
LOCDIR   = $(call PKGCFG,locdir)
PLGCFG   = $(call PKGCFG,plgcfg)
CFGDIR   = $(call PKGCFG,configdir)
CXXFLAGS = $(call PKGCFG,cxxflags)
endif

### set defaults
BINDIR   ?= /usr/bin
LOCDIR   ?= /usr/share/locale
MANDIR   ?= /usr/share/man
CXX      ?= g++
CXXFLAGS ?= -g -fPIC -rdynamic -O3 -funroll-loops -Wall -Woverloaded-virtual -Wno-parentheses

### compiler version dependent options
CXXVERSION=$(shell $(CXX) -dumpversion | cut -d"." -f1)
$(info compiler: ${CXX})
$(info version:  ${CXXVERSION})
DEFINES += -DCXXVERSION=${CXXVERSION}
ifeq ($(CXXVERSION),4)
	export CXXFLAGS += -std=c++11 -Wno-missing-field-initializers # to prevent a lot of compiler warnings with g++ V4
        $(warning your compiler is deprecated, please update)
endif
ifeq ($(CXXVERSION),5)
	export CXXFLAGS += -std=c++11   # to prevent compiler errors with g++ V5
endif


### Includes and Defines (add further entries here):
PKG-LIBS += libavcodec libavutil libavformat libavfilter libswresample libswscale
PKG-INCLUDES += libavcodec libavutil libavformat libavfilter libswresample libswscale

DEFINES += -D_GNU_SOURCE
DEFINES += -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE
DEFINES += -D__STDC_CONSTANT_MACROS -D__USE_XOPEN_EXTENDED


# more debug compiler options
ifdef DEBUG_MEM_MARKAD
DEFINES += -DDEBUG_MEM
$(info option DEBUG_MEM_MARKAD is set)
endif

ifdef DEBUG_MARK_FRAMES
DEFINES += -DDEBUG_MARK_FRAMES=$(DEBUG_MARK_FRAMES)
$(info option DEBUG_MARK_FRAMES is set)
endif

ifdef DEBUG_SANITIZER
export CXXFLAGS += -fsanitize=address -fsanitize=leak -fsanitize=undefined
$(info sanitize option is set)
endif


INCLUDES += $(shell $(PKG_CONFIG) --cflags $(PKG-INCLUDES))
LIBS     += $(shell $(PKG_CONFIG) --libs $(PKG-LIBS)) -pthread


### The object files (add further files here):
OBJS=  evaluate.o 
OBJS+= debug.o
OBJS+= index.o
OBJS+= logo.o
OBJS+= encoder.o
OBJS+= decoder.o
OBJS+= audio.o
OBJS+= video.o
OBJS+= marks.o
OBJS+= markad-standalone.o
OBJS+= osd.o
OBJS+= criteria.o
OBJS+= vps.o
OBJS+= tools.o
OBJS+= overlap.o
OBJS+= sobel.o
OBJS+= test.o


### The main target:
all: markad i18n

### Implicit rules:
%.o: %.cpp
	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) $<


### debug heap allocations
ifdef DEBUG_MEM_MARKAD
DEFINES += -DDEBUG_MEM
$(info option DEBUG_MEM_MARKAD is set)
endif

INCLUDES += $(shell $(PKG_CONFIG) --cflags $(PKG-INCLUDES))
LIBS     += $(shell $(PKG_CONFIG) --libs $(PKG-LIBS)) -pthread


### The main target:
all: markad i18n

### Implicit rules:
%.o: %.cpp
	@echo CC $@
	$(Q)$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) $<

### Dependencies:
MAKEDEP = $(CXX) -MM -MG
DEPFILE = .dependencies
$(DEPFILE): Makefile
	@$(MAKEDEP) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.cpp) > $@

-include $(DEPFILE)

### Internationalization (I18N):
PODIR     = po
I18Npo    = $(wildcard $(PODIR)/*.po)
I18Nmsgs  = $(addprefix  $(DESTDIR)$(LOCDIR)/, $(addsuffix /LC_MESSAGES/markad.mo, $(notdir $(foreach file, $(I18Npo), $(basename $(file))))))
I18Npot   = $(PODIR)/markad.pot

%.mo: %.po
	@echo MO $@
	$(Q)msgfmt -c -o $@ $<

$(I18Npot): $(wildcard *.cpp *.h)
	@echo GT $@
	$(Q)xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --msgid-bugs-address='<see README>' -o $@ $^

%.po: $(I18Npot)
	@echo PO $@
	$(Q)msgmerge -U --no-wrap --no-location --backup=none -q $@ $<
	@touch $@

$(I18Nmsgs): $(DESTDIR)$(LOCDIR)/%/LC_MESSAGES/markad.mo: $(PODIR)/%.mo
	@echo IN $@
	$(Q)install -D -m644 $< $@

.PHONY: i18n
i18n: $(I18Npot)

### Targets:
markad: $(OBJS)
	@echo CC $@
	$(Q)$(CXX) $(CXXFLAGS) $(LDFLAGS) $(OBJS) $(LIBS) -o $@


install-doc:
	@mkdir -p $(DESTDIR)$(MANDIR)/man1
	@gzip -c markad.1 > $(DESTDIR)$(MANDIR)/man1/markad.1.gz

install: install-doc markad $(I18Nmsgs)
	@mkdir -p $(DESTDIR)$(BINDIR)
	install -D markad $(DESTDIR)$(BINDIR)/markad
	@mkdir -p $(DESTDIR)/var/lib/markad
	install -D logos/* $(DESTDIR)/var/lib/markad
	@echo markad installed

clean:
	@-rm -f $(OBJS) $(DEPFILE) markad *.so *.so.* *.tgz core* *~ $(PODIR)/*.mo $(PODIR)/*.pot

doxygen:
	doxygen doxygen.conf

=== debian/changelog ===
vdr-plugin-markad (4.2.15-1build1) resolute; urgency=medium

  * No-change rebuild for ffmpeg 8.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Dec 2025 11:19:57 +0000

vdr-plugin-markad (4.2.15-1) unstable; urgency=medium

  * New upstream version 4.2.15

 -- Christoph Martin <chrism@debian.org>  Thu, 30 Oct 2025 22:18:11 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: vdr-plugin-markad
 Section: video
 Priority: optional
-Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
 Uploaders:
  Tobias Grimm <etobi@debian.org>,
  Thomas Günther <tom@toms-cafe.de>,
